%global momorel	1
%global usagi_ipv6 0
%global _ipv6 1

Summary: Momonga Linux rpm-macros file
Name: momonga-rpmmacros
Version: 20040728
Release: %{momorel}m
License: "Momonga"
Group: System Environment/Base
Source: macros.momonga.in
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
Momonga Linux rpm-macros file

%install
## install momonga specific rpm macros (macros.momonga)
%__mkdir_p %{buildroot}%{_libdir}/rpm
sed -e 's/@usagi_ipv6@/%{usagi_ipv6}/' %{SOURCE0} > macros.momonga.$$
sed -e 's/@_ipv6@/%{_ipv6}/' macros.momonga.$$ > %{buildroot}%{_libdir}/rpm/macros.momonga
chmod 644 %{buildroot}%{_libdir}/rpm/macros.momonga

%clean
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

%files
%attr(0644,root,root) %{_usr}/lib/rpm/macros.momonga

%changelog
* Wed Jul 28 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (20040728-1m)
- Momonga Linux release 1 (Kaede)

* Thu Jul  8 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (20040410-6m)
- set usagi_ipv6 is 0
- set _ipv6 is 1

* Wed Jul  7 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (20040410-5m)
- use %%{_libdir}

* Sun Jul  4 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (20040410-4m)
- seperate from momonga-release

* Wed Apr 14 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (20040310-3m)
- moved rpm local configuration idirectory from /etc/rpm/specopt to ~/rpm/specopt/

* Thu Mar 11 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (20040310-2m)
- add %%perl_privlib and %%perl_sitelib to macros.momonga

* Wed Mar 10 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (20040310-1m)
- add %%_initscriptdir macro to macros.momonga

* Thu Jan  8 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (20040102-2m)
- revise macros.momonga
   change _libexecdir to /usr/libexec 

* Fri Jan 02 2004 Kenta MURATA <muraken2@nifty.com>
- (20040102-1m)
- update macros.momonga to override directory macros.

* Mon Jul 21 2003 KOMATSU Shinichiro <koma2@momonga-linux.org>
- (20030721-1m)
- update macros.momonga
  - define new macros %%_newline, %%echonl, %%comment, %%append
  - modify %%make, %%makeinstall, %%configure
  - add description

* Sun Jul 13 2003 KOMATSU Shinichiro <koma2@momonga-linux.org>
- (20030713-1m)
- move macros.momonga from rpm
